package com.gh.gamecenter.entity

import com.google.gson.annotations.SerializedName

class HomeDataEntity(
    @SerializedName("home_tab")
    val homeTab: ArrayList<SubjectRecommendEntity> = arrayListOf(),
    @SerializedName("home_slide")
    val homeSlide: ArrayList<HomeSlide> = arrayListOf(),
    @SerializedName("home_recommend")
    val homeRecommend: ArrayList<HomeRecommend> = arrayListOf(),
    @SerializedName("home_content")
    val homeContent: ArrayList<HomeContent> = arrayListOf(),
    @SerializedName("home_navbar_v2")
    val homeNavbarV2: SubjectRecommendEntity? = null,
    @SerializedName("home_sub_slide")
    val homeSubSlide: ArrayList<HomeSubSlide> = arrayListOf(),
    @SerializedName("home_push")
    var homePush: HomePush? = null
)
